Package org.gradle.work

# Interface FileChange

public interface FileChange
A change to a file.

Since:
  5.4

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ChangeType`
  `getChangeType()`
  The type of change to the file.
  `File`
  `getFile()`
  The file, which may no longer exist.
  `FileType`
  `getFileType()`
  The file type of the file.
  `String`
  `getNormalizedPath()`
  The normalized path of the file, as specified by the path normalization strategy.

- ## Method Details

  - ### getFile

    File getFile()
    The file, which may no longer exist.

  - ### getChangeType

    ChangeType getChangeType()
    The type of change to the file.

  - ### getFileType

    FileType getFileType()
    The file type of the file.

    For `ChangeType.ADDED` and `ChangeType.MODIFIED`, the type of the file which was added/modified is reported. For `ChangeType.REMOVED` the type of the file which was removed is reported.

  - ### getNormalizedPath

    String getNormalizedPath()
    The normalized path of the file, as specified by the path normalization strategy.

    See `PathSensitivity`, `Classpath` and `CompileClasspath` for the different path normalization strategies.